Skip to content
Start here

Search for locations, ASes, reports, and more

client.radar.search.global(SearchGlobalParams { query, exclude, format, 3 more } query, RequestOptionsoptions?): SearchGlobalResponse { search }
GET/radar/search/global

Searches for locations, autonomous systems, reports, bots, certificate logs, certificate authorities, industries and verticals. Location names can be localized by sending an Accept-Language HTTP header with a BCP 47 language tag (e.g., Accept-Language: pt-PT). The full quality-value chain is supported (e.g., pt-PT,pt;q=0.9,en;q=0.8).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: SearchGlobalParams { query, exclude, format, 3 more }
query: string

String used to perform the search operation.

exclude?: Array<"ADM1S" | "ASNS" | "BOTS" | 9 more>

Search types excluded from results.

One of the following:
"ADM1S"
"ASNS"
"BOTS"
"CERTIFICATE_AUTHORITIES"
"CERTIFICATE_LOGS"
"ORIGINS"
"ORIGIN_REGIONS"
"INDUSTRIES"
"LOCATIONS"
"NOTEBOOKS"
"TLDS"
"VERTICALS"
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
include?: Array<"ADM1S" | "ASNS" | "BOTS" | 9 more>

Search types included in results.

One of the following:
"ADM1S"
"ASNS"
"BOTS"
"CERTIFICATE_AUTHORITIES"
"CERTIFICATE_LOGS"
"ORIGINS"
"ORIGIN_REGIONS"
"INDUSTRIES"
"LOCATIONS"
"NOTEBOOKS"
"TLDS"
"VERTICALS"
limit?: number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
limitPerGroup?: number

Limits the number of objects per search category.

ReturnsExpand Collapse
SearchGlobalResponse { search }

Search for locations, ASes, reports, and more

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.radar.search.global({ query: 'United' });

console.log(response.search);
{
  "result": {
    "search": [
      {
        "code": "13335",
        "name": "Cloudflare",
        "type": "asn"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "search": [
      {
        "code": "13335",
        "name": "Cloudflare",
        "type": "asn"
      }
    ]
  },
  "success": true
}